/webhooks/{webhookId}/rotate-secretRotate a webhook signing secret
Authentication
Bearer authentication is required for this operation.
Path parameters
webhookIdrequiredstringWebhook identifier.
Request body
expires_inintegerOverlap duration in seconds; defaults to 24 hours.
Request examples
curl --request POST 'https://api.au.boundry.dev/webhooks/string/rotate-secret' \
+ -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+ -H 'Content-Type: application/json' \
+ --data '{"expires_in":86400,"webhookId":"wh_01j0example"}'200 response
One-time replacement signing secret.
idrequiredstringWebhook identifier. Example: "msg_01j0example".
objectrequiredstringResource type discriminator. Values: "webhook".
previous_secret_expires_atrequiredstring (date-time)Timestamp when the previous secret stops signing. Example: "2026-08-14T12:00:00.000Z".
signing_secretrequiredstringOne-time replacement signing secret.
{
"expires_in": 86400,
"webhookId": "wh_01j0example"
}400 response
Request body was not valid JSON.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"expires_in": 86400,
"webhookId": "wh_01j0example"
}401 response
Invalid API key.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"expires_in": 86400,
"webhookId": "wh_01j0example"
}404 response
Webhook, delivery, or event not found.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"expires_in": 86400,
"webhookId": "wh_01j0example"
}422 response
Request validation failed.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"expires_in": 86400,
"webhookId": "wh_01j0example"
}